Katello - Bug #6828

Ul shows wrong latest version of puppet module
07/29/2014 06:47 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1104636 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/450
1
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104636
Description of problem:

when adding puppet module to content view, Ul shows wrong latest version number
see screenshot, there is Use Latest (currently 0.0.2), but should be 0.1.0

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140529.0

How reproducible:
always

Steps to Reproduce:
1. create puppet repository and upload several versions of one puppet module (latest version first, )
2. create content view and add uploaded module

Associated revisions

Revision ca5bb041 - 08/08/2014 03:29 PM - Walden Raines
Fixes #6828/BZ1104636: show correct version of puppet module. ...

The latest version of puppet modules was being incorrectly
calculated, based on an incorrect assumption that the last
item in the array was the latest version. This commit
explicitly sorts the puppet modules by the version such that
the latest version is correct.

http://proj .theforeman.org/i 2
https://bugzilla.redhat.com/show_bug.cgi?id=1104636

Revision 9569175 - 08/08/2014 03:29 PM - Walden Raines
Fixes #6828/BZ1104636: show correct version of puppet module. ...

The latest version of puppet modules was being incorrectly
calculated, based on an incorrect assumption that the last
item in the array was the latest version. This commit
explicitly sorts the puppet modules by the version such that
the latest version is correct.

http://proj .theforeman.org/i 2
https://bugzilla.redhat.com/show_bug.cgi?id=1104636

Revision 14befa08 - 08/11/2014 04:44 PM - Walden Raines
Merge pull request #4501 from waldenraines/6828
Fixes #6828/BZ1104636: show correct version of puppet module.

Revision 401282b8 - 08/11/2014 04:44 PM - Walden Raines
Merge pull request #4501 from waldenraines/6828

Fixes #6828/BZ1104636: show correct version of puppet module.

History

#1 - 07/29/2014 06:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4501 added
- Pull request deleted ()

#2 - 08/01/2014 04:29 PM - Eric Helms
- Triaged changed from No to Yes

#3 - 08/11/2014 05:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|cabbb04102bbd083ac40da533ac6d74ebd4bdfos.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
